CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
XMLParser Class Reference

## Public Member Functions
| XMLParser ($Encoding="UTF-8")
| ParseText ($Text, $LastTextToParse=TRUE)
| SeekTo ()
| SeekToParent ()
| SeekToChild ($ChildIndex=0)
| SeekToRoot ()
| NextTag ()
| NextItem ()
| PreviousItem ()
| GetTagName ()
| GetData ()
| GetAttribute ()
| GetAttributes ()
| SetDebugLevel ($NewLevel)
| OpenTag ($Parser, $ElementName, $ElementAttribs)
| ReceiveData ($Parser, $Data)
| CloseTag ($Parser, $ElementName)
| PerformSeek ($SeekArgs, $MoveSeekPointer)
| PerformGetAttribute ($Args, $GetMultiple)
| RebuildItemList ()
| DumpInternalArrays ()

## Public Attributes
| $TagNames
| $TagAttribs
| $TagData
| $TagParents
| $CurrentParseIndex
| $CurrentSeekIndex
| $CurrentItemIndex
| $CurrentItemList
| $CurrentItemCount
| $DebugLevel
| $NameKeyCache

## Detailed Description

Definition at line 18 of file XMLParser.php.

## Member Function Documentation

XMLParser::CloseTag | ( |  | $Parser,
|  |  | $ElementName
| ) |  |

Definition at line 351 of file XMLParser.php.

References $CurrentParseIndex.

XMLParser::DumpInternalArrays | ( |  | ) |

Definition at line 524 of file XMLParser.php.

XMLParser::GetAttribute | ( |  | ) |

Definition at line 287 of file XMLParser.php.

References PerformGetAttribute().

XMLParser::GetAttributes | ( |  | ) |

Definition at line 297 of file XMLParser.php.

References PerformGetAttribute().

XMLParser::GetData | ( |  | ) |

Definition at line 246 of file XMLParser.php.

References $CurrentSeekIndex, and PerformSeek().

XMLParser::GetTagName | ( |  | ) |

Definition at line 233 of file XMLParser.php.

References $CurrentSeekIndex.

XMLParser::NextItem | ( |  | ) |

Definition at line 178 of file XMLParser.php.

References $CurrentItemIndex, and RebuildItemList().

XMLParser::NextTag | ( |  | ) |

Definition at line 150 of file XMLParser.php.

References $CurrentSeekIndex.

XMLParser::OpenTag | ( |  | $Parser,
|  |  | $ElementName,
|  |  | $ElementAttribs
| ) |  |

Definition at line 330 of file XMLParser.php.

References $CurrentParseIndex.

XMLParser::ParseText | ( |  | $Text,
|  |  | $LastTextToParse = `TRUE`
| ) |  |

Definition at line 47 of file XMLParser.php.

XMLParser::PerformGetAttribute | ( |  | $Args,
|  |  | $GetMultiple
| ) |  |

Definition at line 440 of file XMLParser.php.

References $CurrentSeekIndex, and PerformSeek().

Referenced by GetAttribute(), and GetAttributes().

Here is the caller graph for this function:

XMLParser::PerformSeek | ( |  | $SeekArgs,
|  |  | $MoveSeekPointer
| ) |  |

Definition at line 363 of file XMLParser.php.

References $CurrentSeekIndex.

Referenced by GetData(), PerformGetAttribute(), and SeekTo().

Here is the caller graph for this function:

XMLParser::PreviousItem | ( |  | ) |

Definition at line 207 of file XMLParser.php.

References $CurrentItemIndex, and RebuildItemList().

XMLParser::RebuildItemList | ( |  | ) |

Definition at line 501 of file XMLParser.php.

Referenced by NextItem(), and PreviousItem().

Here is the caller graph for this function:

XMLParser::ReceiveData | ( |  | $Parser,
|  |  | $Data
| ) |  |

Definition at line 344 of file XMLParser.php.

References $CurrentParseIndex.

XMLParser::SeekTo | ( |  | ) |

Definition at line 55 of file XMLParser.php.

References PerformSeek().

XMLParser::SeekToChild | ( |  | $ChildIndex = `0` | ) |

Definition at line 115 of file XMLParser.php.

References $CurrentSeekIndex.

XMLParser::SeekToParent | ( |  | ) |

Definition at line 89 of file XMLParser.php.

References $CurrentSeekIndex.

XMLParser::SeekToRoot | ( |  | ) |

Definition at line 144 of file XMLParser.php.

XMLParser::SetDebugLevel | ( |  | $NewLevel | ) |

Definition at line 324 of file XMLParser.php.

XMLParser::XMLParser | ( |  | $Encoding = `"UTF-8"` | ) |

Definition at line 23 of file XMLParser.php.

## Member Data Documentation

XMLParser::$CurrentItemCount

Definition at line 319 of file XMLParser.php.

XMLParser::$CurrentItemIndex

Definition at line 317 of file XMLParser.php.

Referenced by NextItem(), and PreviousItem().

XMLParser::$CurrentItemList

Definition at line 318 of file XMLParser.php.

XMLParser::$CurrentParseIndex

Definition at line 315 of file XMLParser.php.

Referenced by CloseTag(), OpenTag(), and ReceiveData().

XMLParser::$CurrentSeekIndex

Definition at line 316 of file XMLParser.php.

Referenced by GetData(), GetTagName(), NextTag(), PerformGetAttribute(), PerformSeek(), SeekToChild(), and SeekToParent().

XMLParser::$DebugLevel

Definition at line 320 of file XMLParser.php.

XMLParser::$NameKeyCache

Definition at line 321 of file XMLParser.php.

XMLParser::$TagAttribs

Definition at line 312 of file XMLParser.php.

XMLParser::$TagData

Definition at line 313 of file XMLParser.php.

XMLParser::$TagNames

Definition at line 311 of file XMLParser.php.

XMLParser::$TagParents

Definition at line 314 of file XMLParser.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/XMLParser.php